--- title: "View authorizer" slug: "apigateway-authorizer-authorizers" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/apigateway-authorizer-authorizers" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View authorizer Available in Classic and VPC View authorizer information. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/authorizers/{authorizer-id} | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `authorizer-id` | String | Required | ID of authorizer to view | ### Request example The following is a sample request. ``` curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/authorizers/{authorizer-id}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "authorizerId": "authorizerId", "tenantId": "tenantId", "authorizerName": "authorizerName", "authorizerDescription": "authorizerDescription", "authorizerType": "authorizerType", "authorizerConfig": { "region": "region", "functionId": "functionId", "payload": [ { "in": "in", "name": "name" } ] }, "modifier": "modifier", "domainCode": "domainCode", "modTime": "2024-05-02T08:23:41Z" } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "authorizerId": "*********", "tenantId": "***4402f55ae4436913a6e2c65bab***", "authorizerName": "authorizer-***", "authorizerDescription": "authorizerDescription", "authorizerType": "CLOUD_FUNCTIONS", "authorizerConfig": { "region": "KR", "functionId": "*****/mypackage/myaction", "payload": [ { "in": "HEADER", "name": "payload-***" } ] }, "modifier": "d12c9fd0-****-****-****-246e96591a38", "domainCode": "PUB", "modTime": "2024-05-02T08:23:41Z" } ```